Get tool by ID
curl --request GET \
--url https://pria.praxislxp.com/api/admin/tool/{id} \
--header 'x-access-token: <api-key>'import requests
url = "https://pria.praxislxp.com/api/admin/tool/{id}"
headers = {"x-access-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};
fetch('https://pria.praxislxp.com/api/admin/tool/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "<string>",
"name": "<string>",
"responseLength": 123,
"responseDurationMs": 123,
"success": true,
"_id": "<string>",
"description": "<string>",
"instructions": "<string>",
"argument_1": "<string>",
"argument_2": "<string>",
"argument_3": "<string>",
"argument_4": "<string>",
"argument_5": "<string>",
"argument_6": "<string>",
"isArray": false,
"rtEnabled": false,
"rtOnly": false,
"categories": [],
"status": "active",
"created": "2023-11-07T05:31:56Z",
"unavailable": true,
"unavailableReason": "<string>"
}
}Admin Tools
Get tool by ID
Retrieves a single tool. Super admin only.
GET
/
api
/
admin
/
tool
/
{id}
Get tool by ID
Authorizations
JWT token passed in x-access-token header
Path Parameters
Tool ObjectId
Response
Tool retrieved successfully
A tool definition consumed by the Pria orchestrator. Field names match the
Mongoose schema in routes/models/tool.js. Each argument_N is a free-form
natural-language description of what value the model should pass for that
positional argument — the orchestrator forwards it to the LLM as the
parameter description (NOT a JSON Schema definition).
Show child attributes
Show child attributes
Was this page helpful?
⌘I